Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517404 - hedgewars 0.9.23 is available
Summary: hedgewars 0.9.23 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hedgewars
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1526848
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 22:27 UTC by Miro Hrončok
Modified: 2018-02-13 17:51 UTC (History)
4 users (show)

Fixed In Version: hedgewars-0.9.23-1.fc26 hedgewars-0.9.23-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-13 17:37:11 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2017-11-24 22:27:37 UTC
http://www.hedgewars.org/node/6868

(apparently, upstream release monitoring didn't catch this)

Comment 1 Richard Shaw 2017-11-25 20:25:00 UTC
I know nothing about haskell so if someone can help with this it would be great.

EngineInteraction.hs:29:1: error:
    Ambiguous interface for `Codec.Binary.Base64':
      it was found in multiple packages: dataenc-0.14.0.7 sandi-0.4.1

https://kojipkgs.fedoraproject.org//work/tasks/4873/23364873/build.log

Comment 2 Miro Hrončok 2017-11-25 22:53:33 UTC
I might have find a solution to this problem, let me test it, but removing dataenc from build requires seems to fix it.

Comment 3 Miro Hrončok 2017-11-25 22:56:19 UTC
Running: https://koji.fedoraproject.org/koji/taskinfo?taskID=23375793

Comment 5 Richard Shaw 2017-11-25 23:34:00 UTC
That got it, thanks!

Comment 6 Gwyn Ciesla 2017-11-30 15:24:43 UTC
Hello! Will this be in bodhi in the near future?

Comment 7 Richard Shaw 2017-11-30 15:26:50 UTC
Yes, sorry, $DAYJOB got in the way for a little while.

Comment 8 Gwyn Ciesla 2017-11-30 15:27:59 UTC
No worries, thanks!

Comment 9 Fedora Update System 2017-11-30 15:48:25 UTC
hedgewars-0.9.23-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f9a419a9e9

Comment 10 Fedora Update System 2017-11-30 15:48:36 UTC
hedgewars-0.9.23-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad24a89ef5

Comment 11 Fedora Update System 2017-11-30 15:48:42 UTC
hedgewars-0.9.23-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66afdca6b

Comment 12 Fedora Update System 2017-12-02 08:18:18 UTC
hedgewars-0.9.23-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad24a89ef5

Comment 13 Fedora Update System 2017-12-02 19:53:51 UTC
hedgewars-0.9.23-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f9a419a9e9

Comment 14 Fedora Update System 2017-12-02 22:39:12 UTC
hedgewars-0.9.23-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66afdca6b

Comment 15 Richard Shaw 2017-12-18 13:36:12 UTC
Needs to be rebuilt once fpc is fixed.

Comment 16 Fedora Update System 2018-02-13 17:37:11 UTC
hedgewars-0.9.23-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-02-13 17:51:18 UTC
hedgewars-0.9.23-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.